Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DataSetParameterHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.ElementDetailHandle
          org.eclipse.birt.report.model.api.ValueHandle
              org.eclipse.birt.report.model.api.StructureHandle
                  org.eclipse.birt.report.model.api.DataSetParameterHandle

Direct Known Subclasses:
  OdaDataSetParameterHandle

    public class DataSetParameterHandle

extends StructureHandle

Represents the parameter for data set drivers. The parameter is the part of the data set definition, if defined. A parameter can be an input or output parameter. A parameter can also be input and output parameter. Each data set parameter has the following properties:

Name
  a data set parameter has a required name.
Position
  a data set parameter has an optional position for it.
Data Type
  a data set parameter has a choice data type: any, integer, string, data time, decimal, float, structure or table.
Is optional
  whether this parameter is optional.
Is Nullable
  whether the value of this parameter can be nullable.
Is Input
  whether this parameter is an input parameter.
Is Output
  whether this parameter is an output parameter.

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.StructureHandle
`structRef`

Fields inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`elementHandle`

Constructor Summary
`DataSetParameterHandle(SimpleValueHandle valueHandle, int index)` Constructs the handle of data set parameter.

Method Summary
`boolean` | `allowNull()` Checks whether the value of this parameter can be `null`.
`java.lang.String` | `getDataType()` Returns the data type of this parameter.
`java.lang.String` | `getDefaultValue()` Gets the default value of the input parameter.
`MemberHandle` | `getMember(java.lang.String memberName)` Returns a handle to a structure member.
`java.lang.String` | `getName()` Returns the parameter name.
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.String` | `getParameterDataType()` Returns the data type in parameter type choices of this parameter.
`java.lang.Integer` | `getPosition()` Returns the position of this parameter in parameter list.
`boolean` | `isInput()` Checks whether this parameter is an input parameter.
`boolean` | `isNullable()` Deprecated. Use `allowNull()`
`boolean` | `isOptional()` Whether the parameter is optional.
`boolean` | `isOutput()` Checks whether this parameter is an output parameter.
`void` | `setAllowNull(boolean allowNull)` Sets whether the value of this parameter can be `null`.
`void` | `setDataType(java.lang.String dataType)` Sets the data type of this parameter.
`void` | `setDefaultValue(java.lang.String expr)` Sets the default value of the input parameter.
`void` | `setIsInput(boolean isInput)` Sets whether this parameter is an input parameter.
`void` | `setIsNullable(boolean isNullable)` Deprecated. Use `setAllowNull(boolean)`
`void` | `setIsOptional(boolean value)` Sets whether the parameter is optional.
`void` | `setIsOutput(boolean isOutput)` Sets whether this parameter is an output parameter.
`void` | `setName(java.lang.String name)` Sets the parameter name.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the parameter native data type.
`void` | `setParameterDataType(java.lang.String dataType)` Sets the data type in parameter type choices to this parameter.
`void` | `setPosition(java.lang.Integer position)` Sets the position of this parameter in parameter list.

Methods inherited from class org.eclipse.birt.report.model.api.StructureHandle
`drop, getDefn, getExternalizedValue, getProperty, getPropertyDefn, getReference, getStringProperty, getStructure, isDesignTime, iterator, setDesignTime, setProperty, setPropertySilently`

Methods inherited from class org.eclipse.birt.report.model.api.ElementDetailHandle
`getDesign, getElement, getElementHandle, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSetParameterHandle

    public DataSetParameterHandle(SimpleValueHandle valueHandle,
                                  int index)

  Constructs the handle of data set parameter.

  Parameters:
    `valueHandle` - the value handle for data set parameter list of one property
    `index` - the position of this data set parameter in the list

Method Detail

### getDataType

    public java.lang.String getDataType()

  Returns the data type of this parameter. The possible values are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Returns:
    the data type of this parameter.

### setDataType

    public void setDataType(java.lang.String dataType)
                     throws SemanticException

  Sets the data type of this parameter. The allowed values are:
  - COLUMN_DATA_TYPE_ANY
  - COLUMN_DATA_TYPE_INTEGER
  - COLUMN_DATA_TYPE_STRING
  - COLUMN_DATA_TYPE_DATETIME
  - COLUMN_DATA_TYPE_DECIMAL
  - COLUMN_DATA_TYPE_FLOAT
  - COLUMN_DATA_TYPE_STRUCTURE
  - COLUMN_DATA_TYPE_TABLE

  Parameters:
    `dataType` - the data type to set
  Throws:
    `SemanticException` - if the value is not in the above list.

### getName

    public java.lang.String getName()

  Returns the parameter name.

  Returns:
    the parameter name

### setName

    public void setName(java.lang.String name)
                 throws SemanticException

  Sets the parameter name.

  Parameters:
    `name` - the name to set
  Throws:
    `SemanticException` - value required exception

### getPosition

    public java.lang.Integer getPosition()

  Returns the position of this parameter in parameter list.

  Returns:
    the position of this parameter.

### setPosition

    public void setPosition(java.lang.Integer position)

  Sets the position of this parameter in parameter list.

  Parameters:
    `position` - the position to set

### isOptional

    public boolean isOptional()

  Whether the parameter is optional.

  Returns:
    whether the parameter is optional

### setIsOptional

    public void setIsOptional(boolean value)

  Sets whether the parameter is optional.

  Parameters:
    `value` - the value to set

### setDefaultValue

    public void setDefaultValue(java.lang.String expr)

  Sets the default value of the input parameter.

  Parameters:
    `expr` - the default value

### getDefaultValue

    public java.lang.String getDefaultValue()

  Gets the default value of the input parameter.

  Returns:
    the default value

### isInput

    public boolean isInput()

  Checks whether this parameter is an input parameter.

  Returns:
    `true` if it is an input parameter. Otherwise `false`.

### setIsInput

    public void setIsInput(boolean isInput)

  Sets whether this parameter is an input parameter.

  Parameters:
    `isInput` - `true` if it is an input parameter. Otherwise `false`.

### isNullable

    public boolean isNullable()

  Deprecated. Use `allowNull()`

  Checks whether the value of this parameter can be `null`.

  Returns:
    `true` if the value can be `null`. Otherwise `false`.

### setIsNullable

    public void setIsNullable(boolean isNullable)

  Deprecated. Use `setAllowNull(boolean)`

  Sets whether the value of this parameter can be `null`.

  Parameters:
    `isNullable` - `true` if the value can be `null`. Otherwise `false`.

### allowNull

    public boolean allowNull()

  Checks whether the value of this parameter can be `null`.

  Returns:
    `true` if the value can be `null`. Otherwise `false`.

### setAllowNull

    public void setAllowNull(boolean allowNull)

  Sets whether the value of this parameter can be `null`.

  Parameters:
    `allowNull` - `true` if the value can be `null`. Otherwise `false`.

### isOutput

    public boolean isOutput()

  Checks whether this parameter is an output parameter.

  Returns:
    `true` if it is an output parameter. Otherwise `false`.

### setIsOutput

    public void setIsOutput(boolean isOutput)

  Sets whether this parameter is an output parameter.

  Parameters:
    `isOutput` - `true` if it is an output parameter. Otherwise `false`.

### getMember

    public MemberHandle getMember(java.lang.String memberName)

  Description copied from class: `StructureHandle`
  Returns a handle to a structure member.

  Overrides:
    `getMember` in class `StructureHandle`
  Parameters:
    `memberName` - the name of the member
  Returns:
    a handle to the member or `null` if the member is not defined on the structure.

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Returns:
    the parameter native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the parameter native data type.

  Parameters:
    `dataType` - the native data type to set.

### getParameterDataType

    public java.lang.String getParameterDataType()

  Returns the data type in parameter type choices of this parameter. The possible values are:
  - PARAM_TYPE_ANY
  - PARAM_TYPE_INTEGER
  - PARAM_TYPE_STRING
  - PARAM_TYPE_DATETIME
  - PARAM_TYPE_DECIMAL
  - PARAM_TYPE_FLOAT
  - PARAM_TYPE_BOOLEAN

  Returns:
    the data type of this parameter.

### setParameterDataType

    public void setParameterDataType(java.lang.String dataType)
                              throws SemanticException

  Sets the data type in parameter type choices to this parameter. The allowed values are:
  - PARAM_TYPE_ANY
  - PARAM_TYPE_INTEGER
  - PARAM_TYPE_STRING
  - PARAM_TYPE_DATETIME
  - PARAM_TYPE_DECIMAL
  - PARAM_TYPE_FLOAT
  - PARAM_TYPE_BOOLEAN

  Parameters:
    `dataType` - the data type to set
  Throws:
    `SemanticException` - if the value is not in the above list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.